<!DOCTYPE HTML>
<html lang="en-US">
<head>
    <link rel="apple-touch-icon-precomposed" sizes="180x180" href="static/images/favicon-default.png">
    <link rel="icon" sizes="192x192" href="static/images/favicon-default.png">
	<link rel="alternate" type="application/rss+xml" title="Matt Bryant - Articles" href="https://programsareproofs.com/rss.xml">

    <link rel="stylesheet" href="static/css/main.css" type="text/css"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=0"/>
    <meta name="referrer" content="no-referrer"/>
    <meta name="Description" content="Matt Bryant - Articles">

    <!-- Facebook OpenGraph -->
    <meta property="og:description" content="Matt Bryant - Articles"/>
    <meta property="og:image"       content="static/images/favicon-default.png"/>

    <title>mbryant's articles</title>
</head>
<body>
<canvas class="hills" id="hills-background"></canvas>
<canvas class="hills" id="hills-canvas4"></canvas>
<canvas class="hills" id="hills-canvas3"></canvas>
<canvas class="hills" id="hills-canvas2"></canvas>
<canvas class="hills" id="hills-canvas1"></canvas>
<div id="main">
    <h1>mbryant's articles</h1>
    <h2>All Articles</h2>
    <p>
        Sometimes <a href="https://programsareproofs.com" target="_blank">I</a> write about (mostly tech related) things.  Sometimes I even post them.
        <ul>
            <li><a href="articles/third_party_dependencies.html">Third party dependencies &mdash; worth the risk?</a> (November 2022)</li>
            <li><a href="articles/password_databases.html">You're storing passwords wrong</a> (May 2022)</li>
            <li><a href="articles/aoc_2021.html">Advent of Code 2021 in Rust before Python can start</a> (February 2022)</li>
            <li><a href="articles/functiontrace_glyphslib.html">Quickly optimizing Python code with FunctionTrace</a> (October 2021)</li>
            <li><a href="articles/singleuse_functions.html">Single-use functions &mdash; you aren't gonna need them</a> (June 2021)</li>
            <li><a href="articles/code_reviews.html">Code reviews for fun and profit</a> (April 2021)</li>
            <li><a href="articles/z3_puzzlehunt.html">Solving a puzzlehunt with Satisfiability Modulo Theories</a> (March 2021) </li>
            <li><a href="articles/functiontrace_mozilla.html">Building FunctionTrace, a graphical Python profiler</a> (May 2020)</li>
            <li><a href="articles/steam_2fa.html">Using your standard 2FA app with Steam</a> (October 2019)</li>
        </ul>
    </p>
    <h2></h2>
</div>
</body>
<script src="static/js/mountains.js"></script>
<script>
	let canvases = Array(MountainConfig.maxLevel).fill().map((_,i) => document.getElementById("hills-canvas" + (i + 1)));
	new MountainScreen(canvases).render();
</script>
</html>

